C
C CALLDTTY.F
C Purpose: demonstrate calling assembly language
C instead of calling int386 subroutine
C Copyright (C) MicroWay, Inc. 1989
C


C BRIGHT - intense attribute for screen chars 
C BLINKON - blinking attribute on for screen chars 
C BLINKOFF - blinking attribute off for screen chars 
C DEFAULT - leave attribute bits on if they are on 

      integer BRIGHT, BLINKON, BLINKOFF, DEFAULT
      parameter (BRIGHT=8,BLINKON=128,BLINKOFF=127,DEFAULT=255)

      WRITE (*,100) 
  100 FORMAT(' A horse that can count to 10 is a remarkable ',$)
      CALL DISPLAY_TTY (BRIGHT,DEFAULT,'horse')
      WRITE (*,101)
  101 FORMAT(1X)
      WRITE (*,102)
  102 FORMAT (' not a remarkable ',$)
      CALL DISPLAY_TTY (BRIGHT,DEFAULT,'mathematician.')
      WRITE (*,103)
  103 FORMAT (1X,' - Dr. Samuel Johnson')
C end of main program
      END

